# Package javax.xml.parsers

Provides standard APIs for DOM 2.0 and SAX 1.0 parsers.

See: Description

Class Summary
DocumentBuilder: Defines the API to obtain DOM Document instances from an XML document.
DocumentBuilderFactory: Defines a factory API that enables applications to obtain a parser that produces DOM object trees from XML documents.
SAXParser: Defines the API that wraps an `org.xml.sax.XMLReader` implementation class.
SAXParserFactory: Defines a factory API that enables applications to configure and obtain a SAX based parser to parse XML documents.

Exception Summary
ParserConfigurationException: Indicates a serious configuration error.

Error Summary
FactoryConfigurationError: Thrown when a problem with configuration with the Parser Factories exists.

## Package javax.xml.parsers Description

Provides standard APIs for DOM 2.0 and SAX 1.0 parsers.
Copyright © 2003, 2017, Oracle and/or its affiliates. All rights reserved.